
const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const Shell = imports.gi.Shell;
const PopupMenu = imports.ui.popupMenu;

let item,volume;

function _onPulseAudioEqualizerActivate() {
	Main.overview.hide();
	let app = Shell.AppSystem.get_default().lookup_app('pulseaudio-equalizer.desktop');
	app.activate();
}

function init() {
	volume = Main.panel._statusArea.volume.menu;
}

function enable() {
	let fix_position = volume.addMenuItem(new PopupMenu.PopupSeparatorMenuItem());
	item = new PopupMenu.PopupMenuItem(_("System Equalizer"));
	item.connect('activate', Lang.bind(item, _onPulseAudioEqualizerActivate));
	volume.addMenuItem(item);
	
	//item = Main.panel._statusArea.volume.menu.addSettingsAction(_("System Equalizer"), 'pulseaudio-equalizer.desktop');
	
	// If you want add this function into systemwide without gnome-shell-extension,
	// you can edit file: "/usr/share/gnome-shell/js/ui/status/volume.js"
	// search for line: "this.menu.addSettingsAction(_("Sound Settings"), 'gnome-sound-panel.desktop');"
	// and add this line after that: "this.menu.addSettingsAction(_("System Equalizer"), 'pulseaudio-equalizer.desktop');"

}

function disable() {
    if (item) {
        item.destroy();
    }
}
